function [ out ] = V_Arx( theta, U, Y )
%V_ARX [ out ] = V_Arx( theta, u, y )
%
%   return the sum of the square prediction error 
%   of an arx model with na = 2, nb = 1
%
%   INPUT parameter
%       theta: [a1 a2 b1]'
%       u, y : input and output measurement
%

%% initialization parameter
N = length(U);
T = 3:N;
Yp = NaN(N,1);

%% compute predition 
% simulation cycle
for i = T
    % modello arx
    phi = [Y(i-1) Y(i-2) U(i-1)]; % regressors are a selection of Z = subset of {Y,Y}
    Yp(i) = phi*theta;            % ARX one-step prediction
end

%% evaluate the predition error
e_p = Y(T) - Yp(T);

out = e_p'*e_p;
out = out/(2*(N-2));
